# Check if a pipeline can be onboarded or not

Check if a pipeline can be onboarded or not

Endpoint: GET /gateway/chaos/manager/api/rest/pipeline-onboarding/{identity}/can-onboard-chaos
Version: 1.0
Security: x-api-key

## Path parameters:

  - `identity` (string, required)
    identity of the pipeline

## Query parameters:

  - `accountIdentifier` (string, required)
    account id to access the resource

  - `organizationIdentifier` (string)
    organization id to access the resource

  - `projectIdentifier` (string)
    project id to access the resource

## Response 200 fields (application/json):

  - `check` (boolean)

  - `infrastructures` (object)

  - `message` (string)

  - `name` (string)

  - `services` (object)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


